Bug 1110030 - mockito - please provide EL6 and EL7 versions in EPEL
Summary: mockito - please provide EL6 and EL7 versions in EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mockito
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Roman Mohr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1110024
TreeView+ depends on / blocked
 
Reported: 2014-06-16 20:48 UTC by Darryl L. Pierce
Modified: 2016-12-11 04:49 UTC (History)
7 users (show)

Fixed In Version: mockito-1.10.19-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-11 04:49:18 UTC


Attachments (Terms of Use)
merge master into epel7 (21.76 KB, patch)
2015-12-25 12:26 UTC, Raphael Groner
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1208281 None None None Never

Internal Links: 1208281

Description Darryl L. Pierce 2014-06-16 20:48:16 UTC
Please provide RHEL6 and RHEL7 versions via the EPEL repository.

Comment 1 Darryl L. Pierce 2014-08-20 20:30:00 UTC
Follow up. I've asked for comaintainer status to provide EL7 version of this package via EPEL7. Can someone please grant me permissions for that? Thanks.

Comment 2 Fedora Update System 2014-08-25 13:51:33 UTC
mockito-1.9.0-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mockito-1.9.0-18.fc20

Comment 3 Fedora Update System 2014-08-25 14:06:30 UTC
mockito-1.9.0-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mockito-1.9.0-18.fc19

Comment 4 Fedora Update System 2014-08-27 01:28:39 UTC
Package mockito-1.9.0-18.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mockito-1.9.0-18.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9751/mockito-1.9.0-18.fc20
then log in and leave karma (feedback).

Comment 5 Jaroslav Reznik 2015-03-03 17:18:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 7 Raphael Groner 2015-08-16 18:11:04 UTC
What's the current state here?

Comment 8 Raphael Groner 2015-12-18 20:25:28 UTC
Looking for EPEL6 now. No idea how to reach maintainer of the EPEL7 branch.

Comment 9 Raphael Groner 2015-12-18 20:35:10 UTC
el6-candidate:
DEBUG util.py:399:  Error: No Package found for aqute-bnd
DEBUG util.py:399:  Error: No Package found for cglib
DEBUG util.py:399:  Error: No Package found for objenesis

Comment 10 Raphael Groner 2015-12-25 12:26:39 UTC
Created attachment 1109394 [details]
merge master into epel7

Comment 11 Raphael Groner 2015-12-25 12:32:35 UTC
Roman Fenkhuber is maintainer of EPEL7 branch.

Comment 12 Roman Mohr 2015-12-25 17:52:28 UTC
(In reply to Raphael Groner from comment #8)
> Looking for EPEL6 now. No idea how to reach maintainer of the EPEL7 branch.

Hi I am the maintainer for epel 7 for about a month now. I unretired it on epel 7 and it became available again about a week ago. Update to newest mockito will follow in January. Will be on vacation until then.

Comment 13 Jan Kurik 2016-02-24 13:15:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 14 Raphael Groner 2016-02-29 22:47:39 UTC
friendly ping, any news here?

Comment 15 Fedora Update System 2016-03-01 10:41:40 UTC
mockito-1.10.19-20.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c06b6acb7d

Comment 16 Roman Mohr 2016-03-01 10:45:47 UTC
(In reply to Raphael Groner from comment #14)
> friendly ping, any news here?

Updated to newest release of major version 1 on epel7. Any karma is welcome if someone really tested the package :).

Is there still interest in mockito for el6? If so, could we make a separate bug for that since I am not maintaining el6?

Comment 17 Raphael Groner 2016-03-01 18:52:40 UTC
Roman, thanks! Will test soonish.

See comment #9 for el6 issue. IMHO it's not possible ATM.

Comment 18 Fedora Update System 2016-03-02 02:24:00 UTC
mockito-1.10.19-20.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c06b6acb7d

Comment 19 Fedora Update System 2016-03-03 08:53:57 UTC
mockito-1.10.19-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-228cbbe5e3

Comment 20 Fedora Update System 2016-03-03 20:52:49 UTC
mockito-1.10.19-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-228cbbe5e3

Comment 21 Raphael Groner 2016-12-09 19:15:00 UTC
Ping? Can you please push to EPEL7 stable?

Comment 22 Roman Mohr 2016-12-09 19:49:22 UTC
Done. Was about time. Thanks for the ping.

Comment 23 Fedora Update System 2016-12-11 04:49:18 UTC
mockito-1.10.19-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.